Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233599 - Stricter SSL session ID matching.
Summary: Stricter SSL session ID matching.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openssl
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard: public=20070321,source=openssl,impact...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-23 12:36 UTC by Mark J. Cox
Modified: 2018-11-26 18:11 UTC (History)
0 users

Fixed In Version: RHBA-2008-0339
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-21 16:53:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0339 normal SHIPPED_LIVE openssl bug fix and enhancement update 2008-05-20 17:55:47 UTC

Description Mark J. Cox 2007-03-23 12:36:00 UTC
The following was committed to OpenSSL 

+  *) In the SSL/TLS server implementation, be strict about session ID
+     context matching (which matters if an application uses a single
+     external cache for different purposes).  Previously,
+     out-of-context reuse was forbidden only if SSL_VERIFY_PEER was
+     set.  This did ensure strict client verification, but meant that,
+     with applications using a single external cache for quite
+     different requirements, clients could circumvent ciphersuite
+     restrictions for a given session ID context by starting a session
+     in a different context.
+     [Bodo Moeller]

Apache HTTP server uses a single session cache shared across multiple virtual
hosts.  If client certificates are not in use, this issue could allow a session
to be resumed on a different vhost of the server from which it was originated,
bypassing any more restrictive checks that are performed during initial session
negotiation (such as checking cipher type or strength).  

Marking as low severity and deferring because this is an uncommon configuration
with minimal consequences and is behaving as documented in Apache docs.

Patch:
        http://cvs.openssl.org/chngview?cn=16006

Comment 6 Daniel Riek 2007-06-15 17:02:35 UTC
Given it's low impact, the decision was taken to move this to 5.2.

Comment 7 Mark J. Cox 2007-06-18 09:43:23 UTC
This issue is an issue we've deferred; therefore it should only get included if
we need to do OpenSSL updates for some other reason (for example a security
issue of severity > low, or bug fixes as part of an Update release).

Comment 8 RHEL Product and Program Management 2007-10-19 20:30:03 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 12 errata-xmlrpc 2008-05-21 16:53:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0339.html



Note You need to log in before you can comment on or make changes to this bug.